Subject: bug#75459: 31.0.50; scratch-igc: Breakpoint 1, terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=2147483647) at ./src/emacs.c:432

From: Gerd Möllmann <[email-masked]>
Date: Fri, 10 Jan 2025 09:14:53 +0100

Eli Zaretskii <[email-masked]> writes:

>
> ...the above makes me wonder whether calling this unconditionally will
> shoot us in the foot.  Debugging with GDB does sometimes call
> functions in the debuggee, whereas the above says "no longer safe to
> continue running the client program".  I wonder what kind of
> "postmortem debugging" they had in mind, perhaps only debugging
> MPS-related code itself?

I've had a number of cases where barriers got in the way of looking
around in the Lisp data using LLDB. Say one starts with a list, some car
is a symbol, and one looks at the value of the symbol. Something like
that.

It's not ideal that MPS is dead after xpostmortem, but better than
nothing.